Loading...
Searching...
No Matches
BALL::VIEW::SimulationThread Class Reference

`#include <BALL/VIEW/KERNEL/threads.h>`

Inheritance diagram for BALL::VIEW::SimulationThread:

## Public Member Functions

| SimulationThread ()
void | setNumberOfStepsBetweenUpdates (Size steps)
void | setTrajectoryFile (TrajectoryFile *file)
TrajectoryFile * | getTrajectoryFile ()
Public Member Functions inherited from BALL::VIEW::BALLThread
| BALLThread ()
void | setMainControl (MainControl *mf)
void | setComposite (Composite *composite)
Composite * | getComposite ()
virtual void | run ()

## Protected Member Functions

void | exportSceneToPNG_ ()
| Notify the MainControl to export an PNG.
void | finish_ ()
| Notifies the main thread to delete the simulating thread.
Protected Member Functions inherited from BALL::VIEW::BALLThread
void | sendMessage_ (Message *msg)
void | updateStructure_ ()
void | output_ (const String &string, bool important=false)
| Sends the string as outout to Log.info.
void | waitForUpdateOfRepresentations_ ()

## Protected Attributes

Size | steps_between_updates_
TrajectoryFile * | trajectory_file_
Protected Attributes inherited from BALL::VIEW::BALLThread
MainControl * | main_control_
Composite * | composite_

## Detailed Description

Baseclass for threads, which perform a simulation. At the end of the run() method, always call finish_() to notify the main thread to delete the simulation thread, otherwise there will be a memory leak.

Definition at line 189 of file threads.h.

## Constructor & Destructor Documentation

## SimulationThread()

BALL::VIEW::SimulationThread::SimulationThread | ( |  | ) |

## Member Function Documentation

## exportSceneToPNG_()

void BALL::VIEW::SimulationThread::exportSceneToPNG_ | ( |  | ) |

protected

Notify the MainControl to export an PNG.

## finish_()

void BALL::VIEW::SimulationThread::finish_ | ( |  | ) |

protected

Notifies the main thread to delete the simulating thread.

## getTrajectoryFile()

TrajectoryFile * BALL::VIEW::SimulationThread::getTrajectoryFile | ( |  | ) |

inline

Definition at line 205 of file threads.h.

## setNumberOfStepsBetweenUpdates()

void BALL::VIEW::SimulationThread::setNumberOfStepsBetweenUpdates | ( | Size | steps | ) |

inline

Definition at line 198 of file threads.h.

## setTrajectoryFile()

void BALL::VIEW::SimulationThread::setTrajectoryFile | ( | TrajectoryFile * | file | ) |

inline

Definition at line 202 of file threads.h.

## Member Data Documentation

## steps_between_updates_

Size BALL::VIEW::SimulationThread::steps_between_updates_

protected

Definition at line 215 of file threads.h.

## trajectory_file_

TrajectoryFile* BALL::VIEW::SimulationThread::trajectory_file_

protected

Definition at line 216 of file threads.h.